//			Copyright (c) 1993 by
//			Advanced Visual Systems Inc.
//			All Rights Reserved
//
//	This software comprises unpublished confidential information of
//	Advanced Visual Systems Inc. and may not be used, copied or made
//	available to anyone, except in accordance with the license
//	under which it is furnished.
//
//	This file is under Perforce control
//	$Id: //depot/express/fcs992/include/avs/ag/piechart.hxx#1 $
//

// piechart.hxx - Header file for AgPieChart class

//----------------------------------------------------------------------

#ifndef AG_PIECHART_HXX
#define AG_PIECHART_HXX

#ifndef AG_GEOMPRIM_HXX
#include "geomprim.hxx"
#endif

#ifndef AG_WORLD_HXX
#include "world.hxx"
#endif

#ifndef AG_VIEWPORT_HXX
#include "viewport.hxx"
#endif

//----------------------------------------------------------------------
class AgPieChart : public AgGeometryPrimitive 
//----------------------------------------------------------------------
{
//    friend class AgGraphLegend;

  public:
    AgPieChart();
    virtual ~AgPieChart();

    virtual AgPrimitiveType primitiveType() {return AgGRAPHICS;}

    virtual void print() {printf("AgPieChart ");}

    virtual int _hitThis();

    // which legend should include this pieChart
//    AgPieChart &attachLegend(AgPieChartLegend *legend);

    // Check if this object is valid and if not then dont draw it or
    // or any children
    virtual int isValid();

  protected:

  private:

//    AgPieChartLegend *_legend;

    virtual void _drawThis();
    virtual void _updateThis(int first);

    int _numValues;

};

#endif
